Activity log for bug #68818

Date Who What changed Old value New value Message
2006-10-28 11:32:15 Martin OConnor bug added bug
2006-11-02 06:56:56 Martin OConnor bug assigned to squid (upstream)
2006-11-02 10:33:12 Bug Watch Updater squid: status Unknown Fix Released
2006-11-13 01:21:27 James Troup squid: status Unconfirmed Confirmed
2006-11-13 01:21:27 James Troup squid: importance Undecided High
2006-11-13 01:21:27 James Troup squid: statusexplanation We've just run into this at the allhands conference. There's a trivial workaround in the upstream bug (adding 'always_direct allow all' to the config). But this is a serious regression from dapper and really should be fixed in edgy updates if at all possible.
2006-11-13 01:21:58 James Troup squid: status Unconfirmed Confirmed
2006-11-13 01:21:58 James Troup squid: importance Undecided High
2006-11-13 01:21:58 James Troup squid: statusexplanation
2007-03-17 22:45:48 Stéphane Graber squid: assignee stgraber
2007-03-17 22:45:48 Stéphane Graber squid: statusexplanation We've just run into this at the allhands conference. There's a trivial workaround in the upstream bug (adding 'always_direct allow all' to the config). But this is a serious regression from dapper and really should be fixed in edgy updates if at all possible.
2007-03-17 23:01:07 Stéphane Graber bug added attachment 'bug68818.debdiff' (Debdiff fixing ubuntu bug 68818)
2007-03-17 23:25:35 Stéphane Graber squid: status Confirmed In Progress
2007-03-19 17:10:54 Stéphane Graber bug added attachment 'bug-68818.debdiff' (Debdiff with correct target (edgy-proposed))
2007-03-19 18:13:31 Stéphane Graber bug added subscriber Ubuntu Stable Release Updates Team
2007-03-19 18:14:20 Stéphane Graber squid: status Confirmed In Progress
2007-03-26 09:45:26 Martin Pitt squid: status In Progress Fix Released
2007-03-26 09:45:26 Martin Pitt squid: statusexplanation Fixed upstream in 2.6.5, thus fixed in Feisty.
2007-03-26 10:06:54 Stéphane Graber squid: assignee stgraber
2007-03-30 10:34:43 Martin Pitt squid: status In Progress Needs Info
2007-03-30 10:34:43 Martin Pitt squid: statusexplanation Stephane, please rework this patch a bit. First, I am not convinced that the autoconf changes are necessary. If debian/rules actually specifies this flag, then it should just be removed there (it has to be removed anyway if configure does not offer it any more). Also, the dpatch seems broken, since it duplicates the patches: $ lsdiff bug-68818.debdiff squid_2.6.1/configure squid_2.6.1/configure.in squid_2.6.1/include/autoconf.h.in squid_2.6.1/src/acl.c squid_2.6.1/src/client_side.c squid_2.6.1/src/structs.h configure configure.in include/autoconf.h.in src/acl.c src/client_side.c src/structs.h The code parts of the upstream parts look reasonable.
2007-03-30 16:17:19 Stéphane Graber bug added attachment 'bug-68818.dediff' (new debdiff)
2007-03-30 16:17:33 Stéphane Graber squid: status Needs Info In Progress
2007-03-30 16:17:33 Stéphane Graber squid: statusexplanation Stephane, please rework this patch a bit. First, I am not convinced that the autoconf changes are necessary. If debian/rules actually specifies this flag, then it should just be removed there (it has to be removed anyway if configure does not offer it any more). Also, the dpatch seems broken, since it duplicates the patches: $ lsdiff bug-68818.debdiff squid_2.6.1/configure squid_2.6.1/configure.in squid_2.6.1/include/autoconf.h.in squid_2.6.1/src/acl.c squid_2.6.1/src/client_side.c squid_2.6.1/src/structs.h configure configure.in include/autoconf.h.in src/acl.c src/client_side.c src/structs.h The code parts of the upstream parts look reasonable.
2007-04-02 17:30:40 Stéphane Graber bug added attachment 'bug-68818.debdiff' (new debdiff)
2007-04-03 11:38:30 Stéphane Graber bug added subscriber Ubuntu Sponsors for main
2007-04-05 11:08:09 Martin Pitt squid: status In Progress Fix Committed
2007-04-05 11:08:09 Martin Pitt squid: statusexplanation Upload sponsored and accepted into edgy-proposed, please go ahead with QA testing.
2007-09-07 13:40:48 Daniel Holbach squid: status Fix Committed Incomplete
2007-09-11 08:14:43 Daniel Holbach squid: status Incomplete Fix Released
2007-10-25 13:29:19 Bug Watch Updater squid: status Fix Released Unknown
2007-10-27 10:25:20 Bug Watch Updater squid: status Unknown Fix Released
2007-11-16 16:26:12 Martin Pitt squid: status Fix Released Fix Committed
2007-11-19 07:14:18 Daniel Holbach bug added subscriber Canonical Server Team
2008-01-09 17:45:53 Kees Cook squid: status Fix Committed Triaged
2008-01-09 17:47:21 Kees Cook bug added attachment 'squid_2.6.1-3ubuntu1.5.debdiff' (squid_2.6.1-3ubuntu1.5.debdiff)
2008-01-11 13:07:40 Martin Pitt squid: status Triaged Fix Committed
2008-01-16 10:26:02 Martin Pitt squid: status Fix Committed Fix Released
2012-02-23 21:45:21 Kai Kasurinen removed subscriber Kai Kasurinen
2014-12-11 00:35:36 Bug Watch Updater squid: importance Unknown Low